Skip to main content
GET
/
v1
/
my-team
/
time-logs
/
{userId}
Fetch Time Logs
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.trackpilots.com/v1/my-team/time-logs/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "success": true,
  "statusCode": 200,
  "statusMessage": "Fetched user work summary successfully",
  "error": null,
  "data": {
    "user": {
      "userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
      "name": "Sakthivel Govinthan",
      "profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
    },
    "timeSummary": {
      "totalWorkedTimeInSeconds": 1660,
      "activeWorkedTimeInSeconds": 1660,
      "idleWorkedTimeInSeconds": 0,
      "productiveWorkedTimeInSeconds": 1485,
      "unproductiveWorkedTimeInSeconds": 0,
      "neutralWorkedTimeInSeconds": 175
    },
    "session": {
      "inTime": "2026-02-12T04:32:01.676Z",
      "outTime": null,
      "isWorking": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

User ID of the team member

Example:

"ab7c4f30-1024-471a-a767-739df0dc53fd"

Query Parameters

timeZone
string
required

Timezone for logs calculation

Example:

"Asia/Kolkata"

Response

Fetched my team time logs successfully.

success
boolean
Example:

true

statusCode
integer
Example:

200

statusMessage
string
Example:

"Fetched user work summary successfully"

error
string | null
Example:

null

data
object